%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name rack-protection

%global bootstrap 0

Summary:        Ruby gem that protects against typical web attacks
Name:           %{?scl_prefix}rubygem-%{gem_name}
Version:        1.5.3
Release:        6%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://github.com/rkh/rack-protection
Source0:        http://rubygems.org/downloads/%{gem_name}-%{version}.gem
# rack-proection was merged to sinatra 2. It is RSpec3 compatibility.
Patch0: rubygem-rack-protection-1.5.3-rspec3-compatibility.patch

Requires:       %{?scl_prefix_ruby}ruby(release)
Requires:       %{?scl_prefix_ruby}ruby(rubygems)
Requires:       %{?scl_prefix}rubygem(rack)
BuildRequires:  %{?scl_prefix_ruby}rubygems-devel
%if 0%{bootstrap} < 1
BuildRequires:  %{?scl_prefix_ruby}rubygem(test-unit)
BuildRequires:  %{?scl_prefix}rubygem(rack)
BuildRequires:  %{?scl_prefix}rubygem(rspec)
BuildRequires:  %{?scl_prefix}rubygem(rack-test)
%endif
BuildArch:      noarch
Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}

# Explicitly require runtime subpackage, as long as older scl-utils do not generate it
%{?scl:Requires: %{?scl_prefix}runtime}

%description
This gem protects against typical web attacks.
Should work for all Rack apps, including Rails.

%package        doc
Summary:        Documentation for %{pkg_name}
Group:          Documentation

Requires:       %{?scl_prefix}%{pkg_name} = %{version}-%{release}

%description    doc
This package contains documentation for %{pkg_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
%{?scl:scl enable %{scl} - << \EOF}
set -e
%gem_install -n %{SOURCE0}
%{?scl:EOF}
rm .%{gem_instdir}/%{gem_name}.gemspec
rm .%{gem_cache}

%build

%check
%if 0%{bootstrap} < 1
pushd .%{gem_instdir}
cat %{PATCH0} | patch -p1
%{?scl:scl enable %{scl} - << \EOF}
rspec spec
%{?scl:EOF}
popd
%endif

%install
%{__mkdir_p} %{buildroot}%{gem_dir}
cp -rv .%{gem_dir}/* %{buildroot}%{gem_dir}

# Fix presmissions.
# https://github.com/rkh/rack-protection/pull/93
chmod a-x %{buildroot}%{gem_instdir}/lib/rack/protection/base.rb
chmod a-x %{buildroot}%{gem_instdir}/spec/protection_spec.rb

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}
%{gem_instdir}/License

%files doc
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%doc %{gem_docdir}

%changelog
* Tue Feb 07 2017 Jun Aruga <jaruga@redhat.com> - 1.5.3-6
- Fix for RSpec 3 compatibility.

* Wed Apr 06 2016 Pavel Valena <pvalena@redhat.com> - 1.5.3-5
- Enable tests

* Thu Feb 25 2016 Pavel Valena <pvalena@redhat.com> - 1.5.3-4
- Update to 1.5.3

* Fri Jan 16 2015 Josef Stribny <jstribny@redhat.com> - 0.6.2-2
- rebuilt for ror41
- update URLs

* Mon Oct 14 2013 Josef Stribny <jstribny@redhat.com> - 0.6.2-1
- Update to 0.6.2

* Thu Jun 13 2013 Josef Stribny <jstribny@redhat.com> - 0.6.1-4
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Wed Feb 27 2013 Vít Ondruch <vondruch@redhat.com> - 0.6.1-3
- Rebuild to fix documentation vulnerability due to CVE-2013-0256.

* Wed Jul 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-2
- Specfile cleanup

* Mon Apr 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-1
- Rebuilt for scl.
- Updated to 0.6.1.

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 07 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-2
- Fixed broken RSpec tests by temporary removing bundler

* Mon Jun 20 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.4.0-1
- Update to 0.4.0
- Drop useless sitelib macro

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Package generated by gem2rpm
- Fix up License
